package service.student.studentaddressservice.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.stereotype.Repository;
import org.springframework.stereotype.Service;
import service.student.studentaddressservice.model.StudentAddress;
import service.student.studentaddressservice.repository.StudentAddressRepository;

import java.util.Optional;

@Service
public class StudentAddressService {

    @Autowired
    StudentAddressRepository studentAddressRepository;

    public Optional<StudentAddress> getStudentAddressById(long addressId){
        return studentAddressRepository.findById(addressId);
    }

    public Optional<StudentAddress> getStudentAddressByEmail(String email){
        return Optional.ofNullable(studentAddressRepository.findByEmail(email));
    }
}
